<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateCredito extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('credito')
			->addColumn('banco', 'string', ['length' => 50, 'default' => null, 'null' => true])
			->addColumn('valor', 'float', ['default' => null, 'null' => true])
			->addColumn('fecha', 'date', ['default' => null, 'null' => true])
			->addColumn('uf', 'float', ['default' => null, 'null' => true])
			->addColumn('abonado', 'integer', ['length' => 1, 'default' => 0])
			->addColumn('fecha_abono', 'date', ['default' => null, 'null' => true])
			->addColumn('pago', 'integer', ['length' => 11, 'null' => false])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
